MAKEMHR(1)

NAME
makemhr- HRTF Processing and Composition Utility

SYNOPSIS
makemhr <command> [<option>...]

DESCRIPTION
HRTF Processing and Composition Utility

  Commands:

-m, --make-mhr
    Makes an OpenAL Soft compatible HRTF data set. Defaults output to: ./oalsoft_hrtf_%r.mhr

-t, --make-tab
    Makes the built-in table used when compiling OpenAL Soft. Defaults output to: ./hrtf_tables.inc

-h, --help
    Displays this help information.

OPTIONS

-r=<rate>
    Change the data set sample rate to the specified value and resample the HRIRs accordingly.

-f=<points>
    Override the FFT window size (defaults to the first powerof-two that fits four times the number of HRIR points).

-e={on|off}
    Toggle diffuse-field equalization (default: on).

-s={on|off}
    Toggle surface-weighted diffuse-field average (default: on).

-l={<dB>|none}
    Specify a limit to the magnitude range of the diffuse-field average (default: 24.00).

-w=<points>
    Specify the size of the truncation window that's applied after minimum-phase reconstruction (default: 32).

-i=<filename>
    Specify an HRIR definition file to use (defaults to stdin).

-o=<filename>
    Specify an output file. Overrides command-selected default. Use of '%r' will be substituted with the data set sample rate.